org.apache.calcite.avatica

## Class MetaImpl.MetaBestRowIdentifier

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaBestRowIdentifier

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaBestRowIdentifier
    extends Object

Metadata describing the best identifier for a row.

### Field Summary

Fields
`Integer` `bufferLength`
`String` `columnName`
`Integer` `columnSize`
`int` `dataType`
`Short` `decimalDigits`
`short` `pseudoColumn`
`short` `scope`
`String` `typeName`

### Constructor Summary

Constructors
Constructor and Description
`MetaImpl.MetaBestRowIdentifier(short scope, String columnName, int dataType, String typeName, Integer columnSize, Short decimalDigits, short pseudoColumn)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scope

    public final short scope

#### columnName

    public final String columnName

#### dataType

    public final int dataType

#### typeName

    public final String typeName

#### columnSize

    public final Integer columnSize

#### bufferLength

    public final Integer bufferLength

#### decimalDigits

    public final Short decimalDigits

#### pseudoColumn

    public short pseudoColumn

### Constructor Detail

#### MetaImpl.MetaBestRowIdentifier

    public MetaImpl.MetaBestRowIdentifier(short scope,
                                  String columnName,
                                  int dataType,
                                  String typeName,
                                  Integer columnSize,
                                  Short decimalDigits,
                                  short pseudoColumn)